Change an advertiser operating mode
curl --request PATCH \
--url https://api.interchange.io/api/v2/organization/advertisers/{advertiserId}/operating-mode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.interchange.io/api/v2/organization/advertisers/{advertiserId}/operating-mode"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.interchange.io/api/v2/organization/advertisers/{advertiserId}/operating-mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"lifecycle": {
"lifecycleId": "<string>",
"displayName": "<string>",
"provisioningMode": "managed",
"state": "invited",
"advertiserId": "<string>",
"targetAccountId": 4503599627370495,
"managementCapability": "available",
"joinLink": null,
"failure": {
"code": "<string>",
"recoverable": true
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"advertiser": {
"rosterEntryId": "<string>",
"advertiserId": "<string>",
"displayName": "<string>",
"relationshipClass": "owned",
"operatorRelationship": "organization",
"operatingMode": "managed",
"sandbox": true,
"system": true,
"binding": {
"provenance": "compatibility_account",
"state": "resolved",
"reason": "backing_account_missing"
},
"backing": {
"kind": "compatibility_account",
"accountId": 4503599627370495,
"advertiserId": "<string>"
},
"delegation": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"capabilities": [
"advertiser.read"
],
"status": "active",
"expiresAt": "2023-11-07T05:31:56Z"
},
"capabilities": {
"read": true,
"advertiserManagement": "available",
"campaignManagement": "available",
"relationshipManagement": "available"
},
"readiness": {
"state": "ready"
},
"operatorDomain": "<string>",
"operatorDisplayName": "<string>",
"brandDomain": "<string>"
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
Change an advertiser operating mode
Change explicit managed/self-serve presentation and return the updated lifecycle projection without moving the backing Buyer Account or creating an access grant.
PATCH
/
organization
/
advertisers
/
{advertiserId}
/
operating-mode
Change an advertiser operating mode
curl --request PATCH \
--url https://api.interchange.io/api/v2/organization/advertisers/{advertiserId}/operating-mode \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.interchange.io/api/v2/organization/advertisers/{advertiserId}/operating-mode"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.interchange.io/api/v2/organization/advertisers/{advertiserId}/operating-mode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"lifecycle": {
"lifecycleId": "<string>",
"displayName": "<string>",
"provisioningMode": "managed",
"state": "invited",
"advertiserId": "<string>",
"targetAccountId": 4503599627370495,
"managementCapability": "available",
"joinLink": null,
"failure": {
"code": "<string>",
"recoverable": true
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"advertiser": {
"rosterEntryId": "<string>",
"advertiserId": "<string>",
"displayName": "<string>",
"relationshipClass": "owned",
"operatorRelationship": "organization",
"operatingMode": "managed",
"sandbox": true,
"system": true,
"binding": {
"provenance": "compatibility_account",
"state": "resolved",
"reason": "backing_account_missing"
},
"backing": {
"kind": "compatibility_account",
"accountId": 4503599627370495,
"advertiserId": "<string>"
},
"delegation": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"capabilities": [
"advertiser.read"
],
"status": "active",
"expiresAt": "2023-11-07T05:31:56Z"
},
"capabilities": {
"read": true,
"advertiserManagement": "available",
"campaignManagement": "available",
"relationshipManagement": "available"
},
"readiness": {
"state": "ready"
},
"operatorDomain": "<string>",
"operatorDisplayName": "<string>",
"brandDomain": "<string>"
}
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^\d+$Body
application/json
Available options:
managed, self_serve